REM --- Great Circle Calculate Module derived from a      \
	FORTRAN program. From "The Giant Book of Computer \
	Software", pages 199-207. Modified and Corrected  \
	by O. Bliss. NOTE that SOUTH Latitutes and WEST   \
	Longitutes are entered as negative numbers.\

68	A1= LAT1/M:  A2= LAT2/M:  L1= LON1/M:  L2= LON2/M
	PI= 3.141592653589794: FLAG=0
68.1	Q1= COS(A1) * ((TAN(A1) * COS(L2-L1)) - TAN(A2))/SIN(L2-L1)
	X1= 270 + (M * ATN(Q1))
  	IF (L2-L1) > 0 AND (L2-L1) <= PI  OR \
	(L2-L1) < 0 AND ABS(L2-L1) >= PI THEN X1= X1- 180 
   REM -- Reverse Calculation --
	IF FLAG= 2 THEN 68.2
	L3=L2: L4=L1: L2=L4: L1=L3
	A3=A2: A4=A1: A2=A4: A1=A3
	Y1=X1: FLAG=2: GOTO 68.1
68.2	C1= ABS(L2-L1)
	IF C1> PI THEN C1= 2.0 * PI - C1
   REM -- ARC COSINE Conversion ---
	Z= FNARC(SIN(A1)*SIN(A2)+COS(A1)*COS(A2)*COS(C1))
	Z1= Z * M
   REM -- Module Output --
	BA= Y1 + .05
	BR= X1 + .05
	INTM= 60 * Z1
	NAMI= INTM + .05
	KM= INTM * 1.8519 + .05
	STMI= INTM * 1.1507765 + .05
RETURN
